## ksmtp 17.12.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
set(PIM_VERSION "5.7.2")

project(KSMTP VERSION ${PIM_VERSION})
option(RUN_UNINSTALL "test run uninstalled apps (experimental)" FALSE)

# ECM setup
set(KF5_VERSION "5.39.0")

find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${KSMTP_SOURCE_DIR}/cmake)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMCoverageOption)


set(KSMTP_LIB_VERSION ${PIM_VERSION})
set(QT5_REQUIRED_VERSION "5.7.2")
set(KMIME_LIB_VERSION "5.7.2")
ecm_setup_version(PROJECT VARIABLE_PREFIX KSMTP
    VERSION_HEADER ${KSMTP_BINARY_DIR}/ksmtp_version.h
    PACKAGE_VERSION_FILE ${KSMTP_BINARY_DIR}/KPimSMTPConfigVersion.cmake
    SOVERSION 5
)


############ Find packages ############
find_package(Qt5Network ${QT_REQUIRED_VERSION} REQUIRED)

find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)

find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)


find_package(Sasl2)
set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)

########### CMake Config Files ############
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPimSMTP")

configure_package_config_file(
    "${KSMTP_SOURCE_DIR}/KPimSMTPConfig.cmake.in"
    "${KSMTP_BINARY_DIR}/KPimSMTPConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

add_definitions(-DTRANSLATION_DOMAIN=\"libksmtp5\")
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)


########### Targets ###########
add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif ()

########### Install Files ############
install(FILES
    "${KSMTP_BINARY_DIR}/KPimSMTPConfig.cmake"
    "${KSMTP_BINARY_DIR}/KPimSMTPConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KPimSMTPTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPimSMTPTargets.cmake NAMESPACE KPim::)

install(FILES
    ${KSMTP_BINARY_DIR}/ksmtp_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim COMPONENT Devel
)

install(FILES ksmtp.categories DESTINATION ${KDE_INSTALL_CONFDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
ksmtp (17.12.2-0ubuntu1) bionic; urgency=medium

  [ Clive Johnston ]
  * Initial packaging

  [ Rik Mills ]
  * New upstream release (17.12.2)
  * Initial release to Ubuntu (LP: #1751760)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 26 Feb 2018 11:40:18 +0000

=== debian/control ===
Source: ksmtp
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 10~),
               extra-cmake-modules (>= 5.39.0~),
               libkf5coreaddons-dev (>= 5.39.0~),
               libkf5i18n-dev (>= 5.39.0~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5mime-dev (>= 17.12.2~),
               libsasl2-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/pim/ksmtp
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksmtp
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksmtp

Package: libkpimsmtp-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.39.0~),
         libkf5mime-dev (>= 17.12.2~),
         libkpimsmtp5 (= ${binary:Version}),
         ${misc:Depends},
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
 .
 This package contains the development files.

Package: libkpimsmtp5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	# Disable auto test at build time, no way to test smtp as it requires network access
	:

## ksmtp 18.04.3

=== debian/changelog ===
ksmtp (18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:54:36 +0100

ksmtp (17.12.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (17.17.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 02 Jun 2018 11:25:23 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libkf5coreaddons-dev (>= 5.39.0~),
                libkf5i18n-dev (>= 5.39.0~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5mime-dev (>= 17.12.2~),
+               libkf5mime-dev (>= 18.04.3~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.7.0~),
@@ -22,7 +22,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5coreaddons-dev (>= 5.39.0~),
-         libkf5mime-dev (>= 17.12.2~),
+         libkf5mime-dev (>= 18.04.3~),
          libkpimsmtp5 (= ${binary:Version}),
          ${misc:Depends},
 Description: library for handling SMTP data

## ksmtp 18.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,13 @@
 cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.7.2")
+set(PIM_VERSION "5.9.3")
 
 project(KSMTP VERSION ${PIM_VERSION})
-option(RUN_UNINSTALL "test run uninstalled apps (experimental)" FALSE)
 
 # ECM setup
-set(KF5_VERSION "5.39.0")
+set(KF5_VERSION "5.47.0")
 
 find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${KSMTP_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
@@ -24,8 +23,7 @@
 
 
 set(KSMTP_LIB_VERSION ${PIM_VERSION})
-set(QT5_REQUIRED_VERSION "5.7.2")
-set(KMIME_LIB_VERSION "5.7.2")
+set(QT_REQUIRED_VERSION "5.9.0")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KSMTP
     VERSION_HEADER ${KSMTP_BINARY_DIR}/ksmtp_version.h
     PACKAGE_VERSION_FILE ${KSMTP_BINARY_DIR}/KPimSMTPConfigVersion.cmake
@@ -39,9 +37,6 @@
 find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
 find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
-
-find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
-
 
 find_package(Sasl2)
 set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)

=== debian/changelog ===
ksmtp (18.08.3-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:43:09 +0800

ksmtp (18.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * ksmtp does not depend at KMime.
  * New upstream release (18.08.3).
  * Bump Standards-Version to 4.3.0 (No changes needed).

 -- Sandro Knauß <hefee@debian.org>  Mon, 04 Feb 2019 15:59:21 +0100

ksmtp (18.08.1-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.2.1 (No changes needed).
  * New upstream release (18.08.1).
  * Follow stable releases in KDE again.

 -- Sandro Knauß <hefee@debian.org>  Tue, 02 Oct 2018 23:18:19 +0200

ksmtp (18.07.90-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Update watch file to match unstable releases, too.
  * New upstream release (18.07.90).
  * Bump Standards-Version to 4.2.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 18.07.90.
  * Use DebianABIManager to handle libkpimsmtp5.
  * Update library from libkpimsmtp5 -> libkpimsmtp5abi1.
  * Split out arch independent data into libkpimsmtp-data.
  * Update copyright file for new upstream.

 -- Sandro Knauß <hefee@debian.org>  Fri, 17 Aug 2018 18:17:35 +0200

ksmtp (17.12.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add upstream metadata (DEP-12).
  * Update package descriptions.

 -- Sandro Knauß <hefee@debian.org>  Sat, 31 Mar 2018 18:26:45 +0200

ksmtp (17.12.2-1) experimental; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Initial packaging (Closes: #886170)

 -- Sandro Knauß <hefee@debian.org>  Fri, 09 Mar 2018 15:15:04 +0100

=== debian/control ===
Source: ksmtp
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.47.0~),
               libkf5coreaddons-dev (>= 5.47.0~),
               libkf5i18n-dev (>= 5.47.0~),
               libkf5kio-dev (>= 5.47.0~),
               libsasl2-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.3.0
Homepage: https://projects.kde.org/projects/kde/pim/ksmtp
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksmtp
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksmtp.git

Package: libkpimsmtp-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkpimsmtp5, ${kde-l10n:all}
Replaces: libkpimsmtp5, ${kde-l10n:all}
Description: library for handling SMTP data - arch independent files
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package contains the arch independent data for KPimSMTP.

Package: libkpimsmtp-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.47.0~),
         libkpimsmtp5abi1 (= ${binary:Version}),
         ${misc:Depends},
Description: library for handling SMTP data - devel files
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
 .
 This package contains the development files.

Package: libkpimsmtp5abi1
X-Debian-ABI: 1
X-CMake-Target: KPimSMTP
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpimsmtp5
Replaces: libkpimsmtp5
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.

## ksmtp 18.12.3

=== debian/changelog ===
ksmtp (18.12.3-0ubuntu2) disco; urgency=medium

  * No-change rebuild for fixed akonadi server.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 07 Apr 2019 17:47:01 +0100

ksmtp (18.12.3-0ubuntu1) disco; urgency=medium

  * New upstream release (18.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 16 Mar 2019 15:06:32 +0000

=== debian/control ===
Source: ksmtp
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 10~),
               extra-cmake-modules (>= 5.39.0~),
               libkf5coreaddons-dev (>= 5.39.0~),
               libkf5i18n-dev (>= 5.39.0~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5mime-dev (>= 18.12.3~),
               libsasl2-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/pim/ksmtp
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksmtp
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksmtp

Package: libkpimsmtp-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.39.0~),
         libkf5mime-dev (>= 18.12.3~),
         libkpimsmtp5 (= ${binary:Version}),
         ${misc:Depends},
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
 .
 This package contains the development files.

Package: libkpimsmtp5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.

## ksmtp 19.04.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,29 +1,29 @@
-cmake_minimum_required(VERSION 3.0)
-set(PIM_VERSION "5.9.3")
+cmake_minimum_required(VERSION 3.5)
+set(PIM_VERSION "5.11.3")
 
 project(KSMTP VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF5_VERSION "5.47.0")
+set(KF5_MIN_VERSION "5.56.0")
 
-find_package(ECM ${KF5_VERSION} CONFIG REQUIRED)
+find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
 include(ECMGeneratePriFile)
-include(CMakePackageConfigHelpers)
+
 include(ECMSetupVersion)
 include(FeatureSummary)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
-include(ECMCoverageOption)
+
 
 
 set(KSMTP_LIB_VERSION ${PIM_VERSION})
-set(QT_REQUIRED_VERSION "5.9.0")
+set(QT_REQUIRED_VERSION "5.10.0")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KSMTP
     VERSION_HEADER ${KSMTP_BINARY_DIR}/ksmtp_version.h
     PACKAGE_VERSION_FILE ${KSMTP_BINARY_DIR}/KPimSMTPConfigVersion.cmake
@@ -34,9 +34,9 @@
 ############ Find packages ############
 find_package(Qt5Network ${QT_REQUIRED_VERSION} REQUIRED)
 
-find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
-find_package(KF5KIO ${KF5_VERSION} CONFIG REQUIRED)
+find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5KIO ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
 find_package(Sasl2)
 set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)
@@ -51,10 +51,14 @@
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"libksmtp5\")
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-add_definitions(-DQT_NO_CAST_FROM_ASCII)
-add_definitions(-DQT_NO_CAST_TO_ASCII)
-add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
+# workaround for https://bugreports.qt.io/browse/QTBUG-74665 (bug in qt5.13 reevaluate it)
+if (${Qt5Widgets_VERSION} STRGREATER "5.13")
+   MESSAGE(STATUS "Qt version: ${Qt5Widgets_VERSION} DISABLE compile without deprecated methods. bug QTBUG-74665")
+else()
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+endif()
+add_definitions(-DQT_NO_FOREACH)
+
 
 
 ########### Targets ###########

=== debian/changelog ===
ksmtp (19.04.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (19.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 23 Jul 2019 18:56:10 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libkf5coreaddons-dev (>= 5.39.0~),
                libkf5i18n-dev (>= 5.39.0~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5mime-dev (>= 18.12.3~),
+               libkf5mime-dev (>= 19.04.3~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.7.0~),
@@ -22,7 +22,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5coreaddons-dev (>= 5.39.0~),
-         libkf5mime-dev (>= 18.12.3~),
+         libkf5mime-dev (>= 19.04.3~),
          libkpimsmtp5 (= ${binary:Version}),
          ${misc:Depends},
 Description: library for handling SMTP data

## ksmtp 19.08.3

=== debian/changelog ===
ksmtp (19.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (19.08.3).

 -- Sandro Knauß <hefee@debian.org>  Sat, 30 Nov 2019 22:54:52 +0100

ksmtp (19.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.1 (No changes needed).
  * New upstream release (19.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update install files for new upstream release.
  * Remove breaks against kde-l10n packages.
  * Update libkpimsmtp-dev dependencies.

 -- Sandro Knauß <hefee@debian.org>  Fri, 08 Nov 2019 10:39:10 +0100

ksmtp (18.08.3-3) unstable; urgency=medium

  * Release to unstable.

 -- Sandro Knauß <hefee@debian.org>  Thu, 14 Nov 2019 23:49:42 +0100

ksmtp (18.08.3-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.4.0 (No changes needed).
  * Bump compat level to 12.
  * Add myself to Uploaders.
  * Delete not needed Breaks/Confilcts.
  * Use virtual packages to bundle KDEPIM.

 -- Sandro Knauß <hefee@debian.org>  Sat, 05 Oct 2019 00:01:54 +0200

=== debian/control ===
Source: ksmtp
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.60.0~),
               libkf5coreaddons-dev (>= 5.60.0~),
               libkf5i18n-dev (>= 5.60.0~),
               libkf5kio-dev (>= 5.60.0~),
               libsasl2-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.11.0~)
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/pim/ksmtp
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksmtp
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksmtp.git

Package: libkpimsmtp-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library for handling SMTP data - arch independent files
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package contains the arch independent data for KPimSMTP.

Package: libkpimsmtp-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.60.0~),
         libkf5i18n-dev (>= 5.60.0~),
         libkpimsmtp5abi1 (= ${binary:Version}),
         qtbase5-dev (>= 5.11.0~),
         ${misc:Depends}
Description: library for handling SMTP data - devel files
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
 .
 This package contains the development files.

Package: libkpimsmtp5abi1
X-Debian-ABI: 1
X-CMake-Target: KPimSMTP
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		$(overridden_command) -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_auto_test:
	# Disable auto test at build time, no way to test smtp as it requires network access
	:

## ksmtp 19.12.3

=== src/CMakeLists.txt ===
set(ksmtp_SRCS
    job.cpp
    loginjob.cpp
    sendjob.cpp
    session.cpp
    sessionthread.cpp
    sessionuiproxy.cpp
)

ecm_qt_declare_logging_category(ksmtp_SRCS HEADER ksmtp_debug.h IDENTIFIER KSMTP_LOG CATEGORY_NAME org.kde.pim.ksmtp)

add_library(KPimSMTP ${ksmtp_SRCS})

generate_export_header(KPimSMTP BASE_NAME ksmtp)

add_library(KPim::SMTP ALIAS KPimSMTP)
target_include_directories(KPimSMTP INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim/KSMTP;${KDE_INSTALL_INCLUDEDIR}/KPim/KSMTP/ksmtp>")

if (WIN32)
    set(extra_LIBS ws2_32)
endif()


target_link_libraries(KPimSMTP
PUBLIC
    KF5::CoreAddons
PRIVATE
    KF5::I18n
    KF5::KIOCore
    Qt5::Network
    Sasl2::Sasl2
    ${extra_LIBS}
)

set_target_properties(KPimSMTP PROPERTIES
    VERSION ${KSMTP_VERSION_STRING}
    SOVERSION ${KSMTP_SOVERSION}
    EXPORT_NAME SMTP
)

ecm_generate_headers(KSMTP_CamelCase_HEADERS
    HEADER_NAMES
    Job
    LoginJob
    SendJob
    Session
    SessionUiProxy
    PREFIX KSMTP

    REQUIRED_HEADERS KSMTP_HEADERS
)

install(TARGETS KPimSMTP EXPORT KPimSMTPTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/ksmtp_export.h
    ${KSMTP_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim/KSMTP/ksmtp
)

install(FILES
    ${KSMTP_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim/KSMTP/KSMTP
)

ecm_generate_pri_file(BASE_NAME KSMTP LIB_NAME KPimSMTP DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/KPim/KSMTP)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
ksmtp (19.12.3-0ubuntu2) focal; urgency=medium

  * libkpimsmtp5abi1: Add breaks/replaces on libkpimsmtp5 to fix
    upgrades.

 -- Rik Mills <rikmills@kde.org>  Wed, 15 Apr 2020 11:06:50 +0100

ksmtp (19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * Follow Debian ABI bumps.
  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 13:59:27 +0100

ksmtp (19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:32 +0100

=== debian/control ===
Source: ksmtp
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 10~),
               extra-cmake-modules (>= 5.39.0~),
               libkf5coreaddons-dev (>= 5.39.0~),
               libkf5i18n-dev (>= 5.39.0~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5mime-dev (>= 19.12.3~),
               libsasl2-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/pim/ksmtp
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksmtp
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksmtp

Package: libkpimsmtp-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.39.0~),
         libkf5mime-dev (>= 19.12.3~),
         libkpimsmtp5abi1 (= ${binary:Version}),
         ${misc:Depends},
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
 .
 This package contains the development files.

Package: libkpimsmtp5abi1
X-Debian-ABI: 1
X-CMake-Target: KPimSMTP
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpimsmtp5 (<< 19.12.3~)
Replaces: libkpimsmtp5 (<< 19.12.3~)
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.

## ksmtp 20.08.1

=== debian/changelog ===
ksmtp (20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 13:58:23 +0100

ksmtp (20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 26 Aug 2020 12:21:40 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libkf5coreaddons-dev (>= 5.39.0~),
                libkf5i18n-dev (>= 5.39.0~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5mime-dev (>= 19.12.3~),
+               libkf5mime-dev (>= 20.08.1~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.7.0~),
@@ -22,7 +22,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5coreaddons-dev (>= 5.39.0~),
-         libkf5mime-dev (>= 19.12.3~),
+         libkf5mime-dev (>= 20.08.1~),
          libkpimsmtp5abi1 (= ${binary:Version}),
          ${misc:Depends},
 Description: library for handling SMTP data

## ksmtp 20.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,20 @@
 cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.11.3")
+set(PIM_VERSION "5.15.3")
 
 project(KSMTP VERSION ${PIM_VERSION})
 
+set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+
 # ECM setup
-set(KF5_MIN_VERSION "5.56.0")
+set(KF5_MIN_VERSION "5.71.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
@@ -15,15 +22,12 @@
 
 include(ECMSetupVersion)
 include(FeatureSummary)
-include(KDEInstallDirs)
-include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMQtDeclareLoggingCategory)
 
 
 
 set(KSMTP_LIB_VERSION ${PIM_VERSION})
-set(QT_REQUIRED_VERSION "5.10.0")
+set(QT_REQUIRED_VERSION "5.13.0")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KSMTP
     VERSION_HEADER ${KSMTP_BINARY_DIR}/ksmtp_version.h
     PACKAGE_VERSION_FILE ${KSMTP_BINARY_DIR}/KPimSMTPConfigVersion.cmake
@@ -51,13 +55,11 @@
 )
 
 add_definitions(-DTRANSLATION_DOMAIN=\"libksmtp5\")
-# workaround for https://bugreports.qt.io/browse/QTBUG-74665 (bug in qt5.13 reevaluate it)
-if (${Qt5Widgets_VERSION} STRGREATER "5.13")
-   MESSAGE(STATUS "Qt version: ${Qt5Widgets_VERSION} DISABLE compile without deprecated methods. bug QTBUG-74665")
-else()
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-endif()
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
+
 add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_NO_KEYWORDS)
 
 
 
@@ -84,7 +86,5 @@
     DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim COMPONENT Devel
 )
 
-install(FILES ksmtp.categories DESTINATION ${KDE_INSTALL_CONFDIR})
-
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 ki18n_install(po)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,10 @@
     sessionuiproxy.cpp
 )
 
-ecm_qt_declare_logging_category(ksmtp_SRCS HEADER ksmtp_debug.h IDENTIFIER KSMTP_LOG CATEGORY_NAME org.kde.pim.ksmtp)
+ecm_qt_declare_logging_category(ksmtp_SRCS HEADER ksmtp_debug.h
+        IDENTIFIER KSMTP_LOG CATEGORY_NAME org.kde.pim.ksmtp
+        DESCRIPTION "ksmtp (ksmtp)" EXPORT KSMTP
+        )
 
 add_library(KPimSMTP ${ksmtp_SRCS})
 
@@ -62,6 +65,7 @@
     ${KSMTP_CamelCase_HEADERS}
     DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim/KSMTP/KSMTP
 )
+ecm_qt_install_logging_categories(EXPORT KSMTP FILE ksmtp.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})
 
 ecm_generate_pri_file(BASE_NAME KSMTP LIB_NAME KPimSMTP DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR}/KPim/KSMTP)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
ksmtp (20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.3).
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * Minimize the upstream GPG signing key.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:39:17 +0100

ksmtp (20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:07:48 +0200

ksmtp (20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:52:03 +0200

ksmtp (20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:59:35 +0200

ksmtp (20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (19.12.3).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (20.04.0).
  * Update patch hunks.
  * Enable hardening all.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:20:55 +0200

=== debian/control ===
Source: ksmtp
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               libkf5coreaddons-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libsasl2-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.13.0~),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/pim/ksmtp
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/ksmtp
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/ksmtp.git
Rules-Requires-Root: no

Package: libkpimsmtp-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library for handling SMTP data - arch independent files
 This library provides an API for handling data received from IMAP services.
 IMAP (Internet Message Access Protocol) is one of the two most prevalent
 Internet standard protocols for e-mail retrieval.
 .
 This package contains the arch independent data for KPimSMTP.

Package: libkpimsmtp-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.71.0~),
         libkf5i18n-dev (>= 5.71.0~),
         libkpimsmtp5abi1 (= ${binary:Version}),
         qtbase5-dev (>= 5.13.0~),
         ${misc:Depends},
Description: library for handling SMTP data - devel files
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
 .
 This package contains the development files.

Package: libkpimsmtp5abi1
X-Debian-ABI: 1
X-CMake-Target: KPimSMTP
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
Provides: ${ABI:VirtualPackage}

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@ --with kf5

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		dh_makeshlibs -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done

override_dh_auto_test:
	# Disable auto test at build time, no way to test smtp as it requires network access
	:

## ksmtp 20.12.3

=== debian/changelog ===
ksmtp (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:25:39 +0000

ksmtp (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:58:56 +0000

ksmtp (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:13:08 +0000

ksmtp (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:32:08 +0000

ksmtp (20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 09:56:11 +0000

=== debian/control ===
Source: ksmtp
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 10~),
               extra-cmake-modules (>= 5.39.0~),
               libkf5coreaddons-dev (>= 5.39.0~),
               libkf5i18n-dev (>= 5.39.0~),
               libkf5kio-dev (>= 5.39.0~),
               libkf5mime-dev (>= 20.12.3~),
               libsasl2-dev,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.7.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/pim/ksmtp
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksmtp
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/ksmtp

Package: libkpimsmtp-dev
Section: libdevel
Architecture: any
Depends: libkf5coreaddons-dev (>= 5.39.0~),
         libkf5mime-dev (>= 20.12.3~),
         libkpimsmtp5abi1 (= ${binary:Version}),
         ${misc:Depends},
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.
 .
 This package contains the development files.

Package: libkpimsmtp5abi1
X-Debian-ABI: 1
X-CMake-Target: KPimSMTP
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkpimsmtp5 (<< 19.12.3~)
Replaces: libkpimsmtp5 (<< 19.12.3~)
Description: library for handling SMTP data
 This library provides an API for handling SMTP services.
 SMTP (Simple Mail Transfer Protocol) is the most prevalent
 Internet standard protocols for e-mail transmission.

## ksmtp 21.04.1

=== debian/changelog ===
ksmtp (21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:11:54 +0100

ksmtp (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Update enable_debianabimanager.diff

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:42:07 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libkf5coreaddons-dev (>= 5.39.0~),
                libkf5i18n-dev (>= 5.39.0~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5mime-dev (>= 20.12.3~),
+               libkf5mime-dev (>= 21.04.1~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.7.0~),
@@ -22,7 +22,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5coreaddons-dev (>= 5.39.0~),
-         libkf5mime-dev (>= 20.12.3~),
+         libkf5mime-dev (>= 21.04.1~),
          libkpimsmtp5abi1 (= ${binary:Version}),
          ${misc:Depends},
 Description: library for handling SMTP data

## ksmtp 21.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,13 @@
-cmake_minimum_required(VERSION 3.5)
-set(PIM_VERSION "5.15.3")
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
+set(PIM_VERSION "5.18.1")
 
 project(KSMTP VERSION ${PIM_VERSION})
 
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 # ECM setup
-set(KF5_MIN_VERSION "5.71.0")
+set(KF5_MIN_VERSION "5.83.0")
 
 find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -22,12 +22,13 @@
 
 include(ECMSetupVersion)
 include(FeatureSummary)
+include(KDEGitCommitHooks)
 include(ECMQtDeclareLoggingCategory)
 
 
 
 set(KSMTP_LIB_VERSION ${PIM_VERSION})
-set(QT_REQUIRED_VERSION "5.13.0")
+set(QT_REQUIRED_VERSION "5.15.0")
 ecm_setup_version(PROJECT VARIABLE_PREFIX KSMTP
     VERSION_HEADER ${KSMTP_BINARY_DIR}/ksmtp_version.h
     PACKAGE_VERSION_FILE ${KSMTP_BINARY_DIR}/KPimSMTPConfigVersion.cmake
@@ -56,11 +57,15 @@
 
 add_definitions(-DTRANSLATION_DOMAIN=\"libksmtp5\")
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054800)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055000)
 
-add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_NO_KEYWORDS)
 
+option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
+
+set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
+if (USE_UNITY_CMAKE_SUPPORT)
+    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
+endif()
 
 
 ########### Targets ###########
@@ -86,5 +91,6 @@
     DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim COMPONENT Devel
 )
 
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
+ki18n_install(po)
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)

=== debian/changelog ===
ksmtp (21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:37:51 +0100

ksmtp (21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:07:06 +0100

ksmtp (21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:01:08 +0100

ksmtp (21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:44:21 +0100

ksmtp (21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:48:19 +0100

ksmtp (21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:45:18 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libkf5coreaddons-dev (>= 5.39.0~),
                libkf5i18n-dev (>= 5.39.0~),
                libkf5kio-dev (>= 5.39.0~),
-               libkf5mime-dev (>= 21.04.1~),
+               libkf5mime-dev (>= 21.08.1~),
                libsasl2-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.7.0~),
@@ -22,7 +22,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5coreaddons-dev (>= 5.39.0~),
-         libkf5mime-dev (>= 21.04.1~),
+         libkf5mime-dev (>= 21.08.1~),
          libkpimsmtp5abi1 (= ${binary:Version}),
          ${misc:Depends},
 Description: library for handling SMTP data
